<section id="recherche" class="container">
  <div class="row">
      <div id="resultat" class="carte col-sm-offset-0 col-sm-6 col-md-6 col-lg-6">

        <div id="filtre">
          <form id="dates" name="form" class="form-group">

            <img src="img/specialite.PNG">
            <select ng-model="filtre.specialite" ng-options="t as t.specialite for t in listSpe" class="form-control">
            </select>

            <div>
              <span>Période : </span>
              <label for="debut">Debut</label>
              <input ng-model="filtre.debut" class="form-control" type="date" id="debut" name="debut" placeholder="Date de debut (AAAA-MM-JJ)"></input>
              <label for="fin">Fin</label>
              <input ng-model="filtre.fin" class="form-control" type="date" id="fin" name="fin" placeholder="Date de fin (AAAA-MM-JJ)"></input>
            </div>
          </form>

          <div id="listProp" class="container-fluid">
            <p>Propriété obligatoire de l'annonce : </p>
            <div class="[ form-group proprietes ]">
                <input type="checkbox" ng-model="filtre.secretariat" name="secreteriat" id="secreteriat" autocomplete="off" />
                <div class="[ btn-group ]">
                    <label for="secreteriat" class="[ btn btn-danger ]">
                        <span class="[ glyphicon glyphicon-ok ]"></span>
                        <span> </span>
                    </label>
                    <label for="secreteriat" class="[ btn btn-default active ]">
                        Secretériat
                    </label>
                </div>
            </div>

            <div class="[ form-group proprietes ]">
                <input type="checkbox" ng-model="filtre.informatise" name="informatise" id="informatise" autocomplete="off" />
                <div class="[ btn-group ]">
                    <label for="informatise" class="[ btn btn-danger ]">
                        <span class="[ glyphicon glyphicon-ok ]"></span>
                        <span> </span>
                    </label>
                    <label for="informatise" class="[ btn btn-default active ]">
                        Informatisé
                    </label>
                </div>
            </div>

            <div class="[ form-group proprietes ]">
                <input type="checkbox" ng-model="filtre.logement" name="logement" id="logement" autocomplete="off" />
                <div class="[ btn-group ]">
                    <label for="logement" class="[ btn btn-danger ]">
                        <span class="[ glyphicon glyphicon-ok ]"></span>
                        <span> </span>
                    </label>
                    <label for="logement" class="[ btn btn-default active ]">
                        Logement
                    </label>
                </div>
            </div>
          </div>
        </div>
        
        <div id="annonceSelectionner">

          <div ng-repeat="p in positions" class="annonce" ng-show="estSelectionner({{p.data.idLieu}}) && estVisible({{p.data.idLieu}})" ng-class="class">
            <div class="annonceImage">
              <a href="/annonce?idLieu={{p.data.idLieu}}"><img class="imagePrincipale" ng-src="/img/imageAnnonce/{{p.data.idCompte}}_1.jpg" on-error-src="img/imageAnnonce/annonce.jpg"></a>
              <a href="/profil?idCompte={{p.data.idCompte}}"><img class="imgProfil" ng-src="/img/imageDeProfil/{{p.data.idCompte}}.jpg" on-error-src="/img/imageDeProfil/idCompte.png"></a>
            </div>
            <h4>{{p.data.specialite}}</h4>
            <div class="etoiles">
              <img  src="img/star.png">
              <div class="couleurEtoile" style="width:{{p.data.moyenne}}px;"></div>
            </div>
            <a href="/annonce?idLieu={{p.data.idLieu}}"><h3>{{p.data.titre}}</h3></a>
          </div>

        </div>

        <div id="annonces" class="container-fluid">

          <div ng-repeat="p in positions" class="annonce" ng-show="estVisible({{p.data.idLieu}})">
            <div class="annonceImage">
              <a href="/annonce?idLieu={{p.data.idLieu}}"><img class="imagePrincipale" ng-src="/img/imageAnnonce/{{p.data.idCompte}}_1.jpg" on-error-src="img/imageAnnonce/annonce.jpg"></a>
              <a href="/profil?idCompte={{p.data.idCompte}}"><img class="imgProfil" ng-src="/img/imageDeProfil/{{p.data.idCompte}}.jpg" on-error-src="/img/imageDeProfil/idCompte.png"></a>
            </div>
            <h4>{{p.data.specialite}}</h4>
            <div class="etoiles">
              <img  src="img/star.png">
              <div class="couleurEtoile" style="width:{{p.data.moyenne}}px;"></div>
            </div>
            <a href="/annonce?idLieu={{p.data.idLieu}}"><h3>{{p.data.titre}}</h3></a>
          </div>

        </div>
      </div>

      <div id="carte" class="resultat col-sm-6 col-md-6 col-lg-6">
        <div map-lazy-load="https://maps.google.com/maps/api/js" map-lazy-load-params="{{googleMapsUrl}}">
          <ng-map center="47, 3" zoom="6" style="height: 100%;">
            <marker ng-repeat="p in positions" position="{{p.pos}}" data="{{p}}" on-click="selectionElement({{p.id}})"  optimized="false"></marker>
          </ng-map>
        </div>
      </div>
  </div>
</section>